1688 Seller Wangwang Name
Look up the 1688 seller Wangwang (旺旺) display name from the shop anonymization code in product responses (e.g. shop_id from Product Details).
GET
https://open.hiobuy.com/api/client/open-purchase/shop-nickIf your deployment uses a different base URL, replace `https://open.hiobuy.com` accordingly.
Query parameters
| Name | Required | Type | Description |
|---|---|---|---|
shop_id | Yes | string | 1688 shop anonymization code |
Example request
GET /api/client/open-purchase/shop-nick?shop_id=BBBSelJAnz_oE-hYRZc-u-f2wSample response
{
"ret": 1,
"msg": "success",
"data": {
"wangwangNick": "慈溪市观海卫胡秋花商行"
}
}Response fields
Top level
| Name | Type | Description |
|---|---|---|
ret | number | Status code. `1` indicates success |
msg | string | Status message |
data | object | Response body |
data
| Name | Type | Description |
|---|---|---|
wangwangNick | string | 1688 seller Wangwang display name |